package com.sckw.core.exception;

import lombok.Getter;

import java.io.Serial;

/**
 * @Author yzc
 * @Description 自定义业务异常
 * @createTime 2023年06月08日 10:05:00
 */
@Getter
public class BusinessException extends RuntimeException {
    @Serial
    private static final long serialVersionUID = 4515565480123536390L;
    /**
     * 异常信息
     **/
    private final String msg;
    private Object[] param;

    public BusinessException(String msg) {
        super(msg);
        this.msg = msg;
    }

    public BusinessException(String msg, Object... param) {
        super(msg);
        this.msg = msg;
        this.param = param;
    }

}
